Skip to main content
GET
/
files
/
{file_id}
/
content
Retrieve File Content
curl --request GET \
  --url https://vaeroapi.com/v1/files/{file_id}/content \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://vaeroapi.com/v1/files/{file_id}/content"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://vaeroapi.com/v1/files/{file_id}/content', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


"<string>"
{
"error": "Invalid API key."
}
{
"error": "File not found."
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

file_id
string
required

The ID of the file to retrieve content for.

Response

The file content.

The raw content of the file.